<?php
/**
 *
 *  Codename: ant-ng - generator of sources.list for Debian and
 *  distributives, based on Debian
 *  http://alex-w.org.ru/p/antng/
 *
 *  Copyright (c) 2009 Alexander Wolf
 *  Dual licensed under the MIT and GNU LGPL licenses.
 *  http://alex-w.org.ru/p/antng/license
 *
 */

require_once dirname(__FILE__)."/init.php";

if(!empty($_GET["action"])) {
    $action = $_GET["action"];
} else {
    $action = "view";
}
if(!empty($_GET["mode"])) {
    $mode = $_GET["mode"];
} else {
    $mode = "empty";
}

$uuid = $secure->checkInt($_GET["uuid"]);

$valid = $core->checkCookieSign($_COOKIE[$cookie]);
$menu = "<div id='mmenu'></div>";

switch ($mode) {
    case 'empty':
        if ($valid["ERR"]==1)  {
            $tmpl->assign('header', "Вход");
            $tmpl->assign('description', "Вход в панель управления генератором");
            $tmpl->assign('body', $core->showSigninForm());
            $tmpl->display('default.tpl');
        } else {
            //TODO Разделить меню и содержание + нужен шаблон для управлялки
            $menu = "<div id='mbody'></div>";

            $tmpl->assign('header', "Управление генератором sources.list");
            $tmpl->assign('description', "Панель управления генератором");
            $tmpl->assign('menu', $menu);
            $tmpl->assign('body', $body);
            $tmpl->display('manager.tpl');
        }        
        break;
    case 'exit':
        setcookie($cookie, '', time()-10);
        header("Location: ./\n\n");
        break;
    case 'distribution':
        // Управление дистрибутивами
        break;
}

?>
